import type { ValidatorType } from './core/Validator';
import BaseProxy from './core/BaseProxy';
import Validator from './core/Validator';
import BaseTransformer from './core/BaseTransformer';
import PaginationTransformer from './core/PaginationTransformer';
import './vue';
export declare type Errors = ValidatorType;
export type { ValidatorType };
declare class VueApiQueries {
    install(Vue: any): void;
}
export { Validator, BaseProxy, BaseTransformer, PaginationTransformer, BaseProxy as BaseService, };
export * from './util';
declare const _default: VueApiQueries;
export default _default;
