"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseService = exports.PaginationTransformer = exports.BaseTransformer = exports.BaseProxy = exports.Validator = void 0;
const BaseProxy_1 = __importDefault(require("./core/BaseProxy"));
exports.BaseProxy = BaseProxy_1.default;
exports.BaseService = BaseProxy_1.default;
const Validator_1 = __importDefault(require("./core/Validator"));
exports.Validator = Validator_1.default;
const BaseTransformer_1 = __importDefault(require("./core/BaseTransformer"));
exports.BaseTransformer = BaseTransformer_1.default;
const PaginationTransformer_1 = __importDefault(require("./core/PaginationTransformer"));
exports.PaginationTransformer = PaginationTransformer_1.default;
// augment typings of Vue.js
require("./vue");
class VueApiQueries {
    install(Vue) {
        Vue.mixin({
            beforeCreate() {
                this.$options.$errors = {};
                Vue.util.defineReactive(this.$options, '$errors', Validator_1.default);
                if (!this.$options.computed) {
                    this.$options.computed = {};
                }
                this.$options.computed.$errors = function () {
                    return this.$options.$errors;
                };
            },
        });
    }
}
__exportStar(require("./util"), exports);
exports.default = new VueApiQueries();
